//=============================================================================
// SpreeBonus - Extra points for the cautious.
//=============================================================================
class MutSpreeBonus extends Mutator;

function PostBeginPlay()
{
	local GameRules G;
	
	Super.PostBeginPlay();
	G = spawn(class'SpreeBonusGameRules');
	if ( Level.Game.GameRulesModifiers == None )
		Level.Game.GameRulesModifiers = G;
	else    
		Level.Game.GameRulesModifiers.AddGameRules(G);
	Destroy();
}


defaultproperties
{
    IconMaterialName="MutatorArt.nosym"
    ConfigMenuClassName=""
    GroupName="Scoring"
    FriendlyName="Spree Bonus"
    Description="Extra points for the cautious - the more kills without dying, the more each is worth."
}